package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_TASK_FINDRULE"
)
public class TcoreTaskFindrule extends TProEntity {
   private String projectid;
   private String taskid;
   private String dataareaid;
   private String dataarea;
   private String rulename;
   private String ruleid;
   private String regex;
   private String discoverway;
   private String dictionaryClass;
   private String matchingwaSy;
   private String mixdataarea;

   public String getMixdataarea() {
      return this.mixdataarea;
   }

   public void setMixdataarea(String mixdataarea) {
      this.mixdataarea = mixdataarea;
   }

   public String getDictionaryClass() {
      return this.dictionaryClass;
   }

   public void setDictionaryClass(String dictionaryClass) {
      this.dictionaryClass = dictionaryClass;
   }

   public String getMatchingwaSy() {
      return this.matchingwaSy;
   }

   public void setMatchingwaSy(String matchingwaSy) {
      this.matchingwaSy = matchingwaSy;
   }

   public String getDiscoverway() {
      return this.discoverway;
   }

   public void setDiscoverway(String discoverway) {
      this.discoverway = discoverway;
   }

   public TcoreTaskFindrule() {
   }

   public TcoreTaskFindrule(String dataareaid, String dataarea, String rulename, String regex, String discoverway, String ruleid) {
      this.dataareaid = dataareaid;
      this.dataarea = dataarea;
      this.rulename = rulename;
      this.regex = regex;
      this.discoverway = discoverway;
      this.ruleid = ruleid;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRegex() {
      return this.regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }
}
